#! /usr/bin/env python

#
#        This file is part of stov, written by Helmut Pozimski 2012-2015.
#
#       stov is free software: you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation, version 2 of the License.
#
#       stov is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with stov.  If not, see <http://www.gnu.org/licenses/>.


# -*- coding: utf8 -*-

from distutils.core import setup

setup(
    name="stov",
    version="0.9.2",
    author="Helmut Pozimski",
    author_email="helmut@pozimski.de",
    description=("a program to subscribe to channels and users from youtube and"
        " download the videos automatically"),
    long_description=("stov is a program which allows you to subscribe to "
        "channels, playlists and search results on youtube. You don't need a"
        " youtube account for the program to work since it uses read-only access "
        "to the youtube API. You can for example run it as a cron job to "
        "automatically download your favourite videos."),
    license="GNU General Public License version 2",
    packages=["lib_stov"],
    scripts=["stov"],
    data_files=[("share/locale/de/LC_MESSAGES",
            ["locale/de/LC_MESSAGES/stov.mo"]),
            ("share/locale/en/LC_MESSAGES", ["locale/en/LC_MESSAGES/stov.mo"])],
    requires=['lxml']
    )
